### Method

# GUPnPAV DIDLLiteResource set_subtitle_file_uri

since: 0.12.4

#### Declaration [src]

    void
    gupnp_didl_lite_resource_set_subtitle_file_uri (
      GUPnPDIDLLiteResource* resource,
      const char* uri
    )

#### Description [src]

Set the URI of an external subtitle file to be used with this resource. When `uri` is `NULL` the value is removed.

Available since: 0.12.4

Sets property | `GUPnPAV.DIDLLiteResource:subtitle-file-uri`

#### Parameters

`uri`

  Type: `const char*`

  An URI to an external subtitle file or `NULL` to remove.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.